<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS, Firewalid" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Firewalid</title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>FirewalID</h1>
            <img alt="" src="img/firewall.webp" />

            <p>
                <strong>Informace o FirewallD ke čtení v anglickém jazyce: </strong>
            </p>
            <p>
                <a href="https://firewalld.org/documentation/" target="_blank">Oficiální dokumentace FirewallD
                </a>
            </p>

            <p>
                <a href="https://wiki.archlinux.org/title/Firewalld" target="_blank">FirewallD na Archwiki</a>
            </p>
            <p>
                <a href="https://www.redhat.com/sysadmin/beginners-guide-firewalld" target="_blank">Průvodce pro
                    začátečníky FirewallD na RedHat
                </a>
            </p>
            <p>
                <a href="https://opensource.com/article/20/2/firewall-cheat-sheet" target="_blank">opensource.com
                    firewall-cheat-sheet
                </a>
            </p>
            <h2>Proč EndeavourOS nyní používá FirewallD?</h2>
            <p>
                Po diskuzi vývojový tým dospěl k závěru, že by bylo dobré povolit ve
                výchozím nastavení slušný firewall pro všechny instalace pro
                EndeavourOS.
            </p>
            <p>
                Také zkušenější uživatel již může být zvyklý na nastavení pravidel
                firewallu, většina uživatelů stále zapomíná zabezpečit systém po
                prvotní instalaci.
            </p>
            <p>
                V dnešní době to již není nic, co bychom mohli ignorovat ze strany
                nabídky operačního systému pro vás.
            </p>
            <p>
                Takže od nynějška (Apollo vydání 2022) FirewallD bude nainstalován pro
                všechny instalace EndeavourOS a služba je ve výchozím nastavení
                povolena.
            </p>
            <p>
                To poskytne bezpečný základní firewall využívající spuštěnou výchozí
                <code><strong>public</strong></code> zónu.
            </p>
            <p>
                Odtud se uživatelé mohou rozhodnout zakázat a nainstalovat firewall
                dle vlastního výběru nebo nastavit pravidla ručně, jak chtějí.
            </p>
            <p>
                Je také možné zrušit označení FirewallD v procesu instalace, pokud
                nechcete, aby se instaloval.
            </p>
            <img alt="" src="img/firewalld-remove.webp" style="width: 50%;height: auto;" />
            <hr />
            <h1>Obecné informace o instalaci a obsluze FirewallD:</h1>
            <h2>Jak nainstalovat a povolit FirewallD:</h2>
            <p>
                Musíme povolit a spustit
                <code><strong>firewalld.service</strong></code>
            </p>
            <p>
                <code><strong
            >sudo systemctl enable --now firewalld.service</strong
            ></code>
            </p>
            <p></p>
            <p>
                Pravidla brány firewall můžete ovládat pomocí konsolového nástroje
                <code><strong>firewall-cmd</strong></code>.
            </p>
            <p>
                <code><strong>firewall-offline-cmd</strong></code>
                obslužný program CLI (založený na terminálu) lze použít ke
                konfiguraci, když firewalld není spuštěn. Má podobnou syntaxi jako
                <code><strong>firewall-cmd</strong></code>.
            </p>
            <p>
                GUI je k dispozici jako
                <code><strong>firewall-config</strong></code> který je dodáván s
                <a href="https://archlinux.org/packages/?name=firewalld" target="_blank">balíčkem firewalld</a>.
            </p>
            <p>GUI aplikaci najdete v nabídce jako firewall:</p>
            <img alt="" src="img/menu.webp" style="width: 50%;height: auto;" />

            <p>Náhled na aplikaci firewall-config GUI:</p>
            <img alt="" src="img/firewalld-1.webp" style="width: 50%;height: auto;" />
            <p>
                GUI aplikace může na první pohled vypadat trochu děsivě, ale jakmile
                pochopíte, má vše, co potřebujete, na dosah ruky.
            </p>
            <p>
                Nakonec pro běžné používání Vašeho počítače nemusíte nic měnit, a
                pokud chcete použít něco jako otevření systému pro vzdálený přístup
                přes ssh, stačí kliknout na služby ssh a otevřít potřebný port, aby
                fungoval .
            </p>
            <p>
                Další věci, jako je síťová připojení pro Qemu (VirtManager), se v
                případě potřeby automaticky povolí za běhu.
            </p>
            <p>
                Kromě grafického uživatelského rozhraní FirewallD také umožňuje mít
                ikonu na hlavním panelu s některými informacemi a nabídkou pro přístup
                k nastavení:
            </p>
            <img alt="" src="img/firewalld-tray-info-hover.webp" style="width: 50%;height: auto;" />
            <hr />
            <h2>Odebrat, nahradit FirewallD:</h2>
            <p>
                Chcete-li odebrat FirewallD a nainstalovat jiný firewall nebo použít
                vlastní sadu pravidel , můžete to udělat podle následujících kroků.
                Před jeho odstraněním je nutné zastavit firewall, protože by mohl
                později zablokovat instalaci nového firewallu.
            </p>
            <p>Tímto okamžitě zastavíte službu FirewallD:</p>
            <div class="code-box">
                <pre id="code-content">
            sudo systemctl stop firewalld
          </pre>
                <button id="copy-button">Kopírovat</button>
            </div>
            <p>
                Trvale zakázat (tímto okamžitě zastavíte službu a deaktivujete
                automatické spouštění při příštím bootování):
            </p>
            <div class="code-box">
                <pre id="code-content">
            sudo systemctl disable --now firewalld
          </pre>
            </div>
            <p>Firewalld odinstalujete tímto příkazem:</p>
            <div class="code-box">
                <pre id="code-content">
            sudo pacman -R firewalld
          </pre>
            </div>
            <p></p>
            <hr />
            <h2>Otevřete FirewallD pro síťový tisk:</h2>
            <p>
                Pokud chcete otevřít bránu firewall pro podporu síťového tisku,
                použijte aplikaci firewalld:
            </p>
            <img alt="" src="img/2023-08-22_15-02.webp" style="width: 50%;height: auto;" />
            <p></p>
            <img alt="" src="img/2023-08-22_15-05.webp" style="width: 50%;height: auto;" />
            <p>
                Přepněte do trvalé konfigurace (Permanent) a změňte zónu (Zones) na
                <code><strong>home</strong></code>, povolte <code><strong>mdns</strong></code>.
            </p>
            <iframe height="315" src="https://youtu.be/9MCdy8ZGQ1I" width="420">
            </iframe>
            <p>
                Chcete-li přepnout zónu pro vaši aktuální polohu (síť), klikněte na
                možnosti > změnit zóny připojení > vyberte použité síťové připojení a
                z rozevírací nabídky ve vyskakovacím okně vyberte domov:
            </p>
            <img alt="" src="img/2023-08-22_15-08.webp" style="width: 50%;height: auto;" />
            <p>
                Toto bude trvalé po restartování, pokud jste připojeni ke stejné síti
                (umístění).
            </p>
            <hr />
            <h2>Otevřete firewall pro kdeconnect:</h2>
            <p>
                Nejjednodušší způsob je pomocí terminálu a nástroje příkazového řádku
                firewalld-cmd:
            </p>
            <div class="code-box">
                <pre id="code-content">


            sudo firewall-cmd --permanent --zone=public --add-service=kdeconnect 
            sudo firewall-cmd --reload 
          </pre>
            </div>
            <p>
                <code><strong>--zone=public</strong></code>
                <span style="color: red">musí být změněno na používanou zónu pro síť (umístění), ve které
                    chcete toto používat.</span>
            </p>
            <p>
                Tím se trvale otevře firewall pro
                <a href="https://userbase.kde.org/KDEConnect" target="_blank">službu kdeconnect</a>
                , aby bylo možné připojit se k mobilnímu zařízení a přijímat zprávy na
                ploše.
            </p>
            <p>Článek je převzat z wiki EndeavourOS z března 2022</p>
            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                18.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>